<?php
##############################################################################
/*
Script permettant d'identifier les paris restant sur des matchs supprimés
>> ces paris bloquent les points des joueurs... il faut donc les supprimer
*/
##############################################################################

include("../config.php3");
include($BIB."bib_generic.php3");

//echo $SERVER_URL;
# pas de timeout possible qql soit l'action effectuée
set_time_limit($TIME_LIMIT);

# le script continue une fois qu'il est lancé quel que soit l'état de la connection après
ignore_user_abort(true); 

if($_POST["PmatchId"])
{
	$query = "DELETE FROM Paris WHERE MatchId=".$_POST["PmatchId"];
	//echo "<br/>".$query;
	main_db_query($query);
	
}

?>
<html>
<head></head>
<link rel="stylesheet" href="admin.css">
<body rightmargin=0>
<div align=center class=trTitle>Paris bloquants</div>
<br>
<?php
$i = 0;
$rows = main_db_query("SELECT COUNT(*) AS Total,MatchId FROM Paris GROUP BY MatchId");
while($row = db_fetch_assoc($rows))
{
	$match = db_fetch_assoc(main_db_query("SELECT MatchId FROM Matchs WHERE MatchId=".$row["MatchId"]));
	if(!$match[MatchId])
	{
		echo "<br/>Match ".$row["MatchId"]." supprimé avec ".$row["Total"]." pari(s) en cours";
		$i++;
		echo " : <form method=post><input type='hidden' name='PmatchId' value='".$row["MatchId"]."'/><input type=submit name=submit value='Supprimer ces paris blanquant'/></form>";
	}
}

if($i == 0)
	echo "<br/>Aucun pari bloquant trouvé";
?>